<template>
  <div>
    <div v-if="!player">
      <b-spinner large variant="warning" label="Loading..." />
      Loading...
    </div>
    <b-row v-if="player">
      <b-col>
        <h3>
          Lvl {{ player.accountRank }} {{ player.nickName }}
          <template v-if="player.clan && player.clan.tag">
            [{{ player.clan.tag }}]
          </template>
        </h3>
        <b>{{ $t('player.efficiency') }}:</b> {{ Number(player.effRating).toFixed(2) }}
        <b>{{ $t('player.fleet_str') }}:</b> {{ (player.prestigeBonus * 100).toFixed(0) }}
        <b>{{ $t('player.karma') }}: </b> {{ numberWithSpaces((player.openWorld || {}).karma) }} ({{ karmaLevel }})
      </b-col>
    </b-row>

    <ChartsWrapper v-if="player" :uid="player.uid" />

    <RawPlayerStats />
  </div>
</template>

<script>
import { mapActions, mapState, mapGetters } from 'vuex'
import ChartsWrapper from '@/components/ChartsWrapper'
import { numberWithSpaces } from '@/lib/helpers'
import RawPlayerStats from './RawPlayerStats'

export default {
  name: 'Player',
  components: {
    RawPlayerStats,
    ChartsWrapper
  },
  computed: {
    ...mapState('player', ['player']),
    ...mapGetters('player', ['karmaLevel'])
  },
  mounted () {
    if (!this.player) {
      this.getPlayer(this.$route.params.id)
    }
  },
  methods: {
    ...mapActions('player', ['getPlayer']),
    numberWithSpaces
  }
}
</script>
